Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 512084

Summary: xfce4-session-4.11.0-r1 doesn't build with USE=-udev and missing upower
Product: Gentoo Linux Reporter: Tomasz Golinski <tomaszg>
Component: Current packagesAssignee: XFCE Team <xfce>
Status: RESOLVED FIXED    
Severity: normal CC: sparky
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugzilla.xfce.org/show_bug.cgi?id=9952#c17
See Also: http://bugzilla.xfce.org/show_bug.cgi?id=9952
Whiteboard:
Package list:
Runtime testing required: ---

Description Tomasz Golinski 2014-06-01 21:02:49 UTC
xfce4-session-4.11.0-r1 doesn't build with USE=-udev and missing upower packages. It fails on:

checking for upower-glib >= 0.9.8... not found
*** The required package upower-glib was not found on your system.


Reproducible: Always
Comment 1 Samuli Suominen gentoo-dev 2014-06-02 07:06:00 UTC
http://bugzilla.xfce.org/show_bug.cgi?id=9952#c17

Fixed in Portage with a temporary workaround that applies the patch only with USE="udev".